Activates a license and returns only the JWT token
POST
/api/v1/activations/jwt
const url = 'https://api.monetizeit.example/api/v1/activations/jwt';const options = { method: 'POST', headers: {'Content-Type': 'application/json-patch+json'}, body: '{ "activationCode": "example", "fingerprint": "example", "email": "example", "requestedLeaseDuration": "example", "targetSoftwareVersion": "example" }'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.monetizeit.example/api/v1/activations/jwt \ --header 'Content-Type: application/json-patch+json' \ --data '{ "activationCode": "example", "fingerprint": "example", "email": "example", "requestedLeaseDuration": "example", "targetSoftwareVersion": "example" }'This endpoint is optimized for lightweight clients that only need the JWT token. The token contains all necessary license information for validation.
Sample request:
{
"activationCode": "ABC123-DEF456-GHI789",
"fingerprint": "device-fingerprint-hash",
"email": "user@example.com"
}Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”License activation request containing activation code, fingerprint, and optional email
object
activationCode
string
fingerprint
string
email
string
requestedLeaseDuration
string format: date-span
targetSoftwareVersion
string
Example generated
{ "activationCode": "example", "fingerprint": "example", "email": "example", "requestedLeaseDuration": "example", "targetSoftwareVersion": "example"}object
activationCode
string
fingerprint
string
email
string
requestedLeaseDuration
string format: date-span
targetSoftwareVersion
string
Example generated
{ "activationCode": "example", "fingerprint": "example", "email": "example", "requestedLeaseDuration": "example", "targetSoftwareVersion": "example"}object
activationCode
string
fingerprint
string
email
string
requestedLeaseDuration
string format: date-span
targetSoftwareVersion
string
Example generated
{ "activationCode": "example", "fingerprint": "example", "email": "example", "requestedLeaseDuration": "example", "targetSoftwareVersion": "example"}object
activationCode
string
fingerprint
string
email
string
requestedLeaseDuration
string format: date-span
targetSoftwareVersion
string
Example generated
{ "activationCode": "example", "fingerprint": "example", "email": "example", "requestedLeaseDuration": "example", "targetSoftwareVersion": "example"}Responses
Section titled “ Responses ”License activated successfully, returns JWT token
Media type application/json
string
Example generated
exampleInvalid request data or activation code
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Activation forbidden by policy (e.g., authentication required)
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Activation code not found or expired
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Device already activated or seat limit exceeded
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}